Fly.io
Volumes

Update Volume

View as Markdown

Update a volume's configuration using the details provided in the request body.

PUT
/apps/{app_name}/volumes/{volume_id}

Update a volume's configuration using the details provided in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

volume_id*string

Volume ID

Request Body

application/json

Request body

auto_backup_enabled?boolean
snapshot_retention?integer

Response Body

application/json

application/json

curl -X PUT "https://example.com/apps/string/volumes/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "attached_alloc_id": "string",  "attached_machine_id": "string",  "auto_backup_enabled": true,  "block_size": 0,  "blocks": 0,  "blocks_avail": 0,  "blocks_free": 0,  "bytes_total": 0,  "bytes_used": 0,  "created_at": "string",  "encrypted": true,  "fstype": "string",  "host_status": "ok",  "id": "string",  "name": "string",  "region": "string",  "size_gb": 0,  "snapshot_retention": 0,  "state": "string",  "type": "local",  "zone": "string"}
{  "details": {},  "error": "string",  "status": "unknown"}